%ifndef distro
%define distro Sisyphus
%endif
%ifndef timestamp
%define timestamp %(LC_TIME=C date +%%Y%%m%%d)
%endif
%ifndef dtext
%define dtext %distribution %version
%endif
%ifndef text_summary
%define text_summary %dtext
%endif
%ifndef text_descr
%define text_descr %dtext
%endif
%ifndef text_file
%define text_file %dtext (%timestamp)
%endif

Name: altlinux-release
Version: %distro
Release: alt%timestamp

Summary: %text_summary release file
Copyright: GPL
Group: System/Configuration/Other
BuildArch: noarch

Obsoletes: sisyphus-release, rawhide-release, redhat-release, mandrake-release, cooker-release
Provides: sisyphus-release = %version, mandrake-release = %version, redhat-release = %version

%description
%text_descr release file.

%install
install -pD -m644 /dev/null $RPM_BUILD_ROOT%_sysconfdir/buildreqs/packages/ignore.d/%name
echo "%text_file" >$RPM_BUILD_ROOT%_sysconfdir/altlinux-release
%__ln_s altlinux-release $RPM_BUILD_ROOT%_sysconfdir/redhat-release
%__ln_s altlinux-release $RPM_BUILD_ROOT%_sysconfdir/mandrake-release
%__ln_s altlinux-release $RPM_BUILD_ROOT%_sysconfdir/sisyphus-release

%files
%_sysconfdir/*-*
%_sysconfdir/buildreqs/packages/ignore.d/*

%changelog
* Fri Feb 14 2003 Dmitry V. Levin <ldv@altlinux.org> Sisyphus-alt20030214
- Enhanced %%ifdef logic.

* Tue Dec 31 2002 Dmitry V. Levin <ldv@altlinux.org> Sisyphus-alt20021231
- Implemented %%ifdef logic.

* Wed Aug 14 2002 Dmitry V. Levin <ldv@altlinux.org> Sisyphus-alt20020814
- Added %_sysconfdir/buildreqs/packages/ignore.d/%name.

* Mon Apr 23 2001 Dmitry V. Levin <ldv@altlinux.ru> Sisyphus-alt20010423
- Renamed to altlinux-release.

* Thu Jan 10 2001 Dmitry V. Levin <ldv@fandra.org> 7.2-ipl0.20010111
- Renamed to %name.
- Implemented autoversioning.

* Wed Dec 27 2000 Dmitry V. Levin <ldv@fandra.org> 7.2-ipl0.20001227
- Set 8-digit timestamp number.

* Tue Dec 26 2000 AEN <aen@logic.ru>
- adopted for sisyphus

* Thu Oct  5 2000 Warly <warly@mandrakesoft.com> 7.2-1mdk
- Odyssey
